#ifndef _MOVE_STRUCT_H
#define _MOVE_STRUCT_H

#include <stdint.h>

/// Structure for holding movement data
typedef struct
{
	uint8_t master_dir_pin;
	uint8_t master_step_pin;
	uint8_t master_pulse_width;
	uint8_t master_dir; 
	uint32_t master_start_stop_speed;
	uint32_t master_total_steps;
	uint32_t master_ramp_up_steps;
	uint32_t master_running_steps;
	uint32_t master_ramp_down_steps;
	uint32_t master_ramp_inc_dec;

	uint8_t slave_1_dir_pin;
	uint8_t slave_1_step_pin;
	uint8_t slave_1_pulse_width;
	uint8_t slave_1_dir;
	double slave_1_ratio; 
	double slave_1_integer_part;
	double slave_1_fractional_part;

	uint8_t slave_2_dir_pin;
	uint8_t slave_2_step_pin;
	uint8_t slave_2_pulse_width;
	uint8_t slave_2_dir;
	double slave_2_ratio; 
	double slave_2_integer_part;
	double slave_2_fractional_part;

	uint8_t slave_3_dir_pin;
	uint8_t slave_3_step_pin;
	uint8_t slave_3_pulse_width;
	uint8_t slave_3_dir;
	double slave_3_ratio; 
	double slave_3_integer_part;
	double slave_3_fractional_part;

} MOVE_STRUCT;

/// Structure for holding the current
/// movement data.
extern MOVE_STRUCT current_move;

#endif /* _MOVE_STRUCT_H */